eoInitVariableLength(3)

NAME
eoInitVariableLength - Initializer for variable length representations with a single type.

SYNOPSIS

#include <eoInit.h>

Inherits eoInit< EOT >< EOT >.

  Public Types
typedef EOT::AtomType AtomType

  Public Member Functions
eoInitVariableLength (unsigned _minSize, unsigned _maxSize, eoInit< AtomType > &_init)
Ctor from an eoInit.
virtual void operator() (EOT &_chrom)
The pure virtual function that needs to be implemented by the subclass.
eoInit< AtomType > & atomInit ()

  Private Attributes
unsigned offset
unsigned extent
eoInit< AtomType > & init

Detailed Description

  template<class EOT> class eoInitVariableLength< EOT >
Initializer for variable length representations with a single type.

Definition at line 107 of file eoInit.h.

Author

Generated automatically by Doxygen for EO from the source code.